Symbol files
Update symbol file
Authorization
API key Symbol files: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Symbol files: write
Path Parameters
workspaceId*string
Format
uuidfirmwareId*string
symbolFileId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
alias?null|string
firmwareVersionIds?null|array<string>
Response Body
application/json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/symbol-files/f1Lk64dHs7Xa" \ -H "Content-Type: application/json" \ -d '{ "alias": "thermostat-application-2.4.1", "firmwareVersionIds": [ "r2Kt75mXc8Vd" ] }'Updated symbol file.
{ "id": "f1Lk64dHs7Xa", "alias": "thermostat-application-2.4.1", "buildId": "8f3a1c9e2b7d4506", "buildIdParsingState": "Succeeded", "createdAt": "2026-01-10T15:32:00+00:00", "firmwareVersions": [ { "id": "r2Kt75mXc8Vd", "name": "2.4.1" } ], "firmware": { "id": "q8Fd53pLn1Yr", "name": "Thermostat application" }, "os": "Zephyr"}